Bug 845783 - [abrt] cheese-3.4.2-3.fc17: Process /usr/bin/cheese was killed by signal 11 (SIGSEGV)
[abrt] cheese-3.4.2-3.fc17: Process /usr/bin/cheese was killed by signal 11 (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cogl (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:d2599f2177f0469fc2b92625fa1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 20:58 EDT by Louis van Dyk
Modified: 2013-08-01 09:35 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.60 KB, text/plain)
2012-08-04 20:58 EDT, Louis van Dyk
no flags Details
File: maps (54.92 KB, text/plain)
2012-08-04 20:58 EDT, Louis van Dyk
no flags Details
File: dso_list (11.19 KB, text/plain)
2012-08-04 20:58 EDT, Louis van Dyk
no flags Details

  None (edit)
Description Louis van Dyk 2012-08-04 20:58:19 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        cheese
comment:        crashed upon opening
crash_function: _cogl_winsys_get_vsync_counter
executable:     /usr/bin/cheese
kernel:         3.4.6-2.fc17.x86_64
pid:            23450
pwd:            /home/louis
remote_result:  NOTFOUND
time:           Sun 05 Aug 2012 12:41:47 AM SAST
uid:            1000
username:       louis

backtrace:      Text file, 22123 bytes
dso_list:       Text file, 11461 bytes
maps:           Text file, 56237 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/louis/2

core_backtrace:
:- 0x0 - - -
:9361d261c61d204de4ca0d9440ed5b8535ad4975 0x60cbc - libcogl.so.9 -
:9361d261c61d204de4ca0d9440ed5b8535ad4975 0x61905 - libcogl.so.9 -
:9361d261c61d204de4ca0d9440ed5b8535ad4975 0x5cad7 cogl_onscreen_swap_buffers libcogl.so.9 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x396a7 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0xa1733 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x87afd - libclutter-1.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x97f5c g_application_run libgio-2.0.so.0 -
:e1a2cf887c436ca480f4fd6dde0293a11ca390ba 0x177b8 _vala_main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=fedora.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=7075619d19a1b86ee0cf10000000000d-1343173738.820933-1398326190
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/louis/keyring-h10Zqp
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=louis
:USERNAME=louis
:MAIL=/var/spool/mail/louis
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/louis/.local/bin:/home/louis/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/louis
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=2144
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/louis
:SHLVL=1
:LOGNAME=louis
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EVcff2rDpM,guid=a83e3aaa6e64faa00a8cd2e60000004e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/louis
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-louis-fXKznU/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2146,unix/unix:/tmp/.ICE-unix/2146
:SSH_AUTH_SOCK=/run/user/louis/keyring-h10Zqp/ssh
:GPG_AGENT_INFO=/run/user/louis/keyring-h10Zqp/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/cheese.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=23450
:DESKTOP_STARTUP_ID=gnome-shell-2387-fedora.localdomain-cheese-35_TIME946441384

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31468                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31468                31468                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/louis/.xsession-errors
:pos:	11404445
:flags:	0102002
:2:/home/louis/.xsession-errors
:pos:	11404445
:flags:	0102002
:3:socket:[2938080]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[2938085]
:pos:	0
:flags:	02004002
:6:socket:[2937380]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[2938087]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:socket:[2938088]
:pos:	0
:flags:	04002
:13:socket:[2938089]
:pos:	0
:flags:	04002
:14:/dev/video0
:pos:	0
:flags:	0100002
:15:socket:[2938091]
:pos:	0
:flags:	04002
:16:socket:[2938092]
:pos:	0
:flags:	04002

smolt_data:
:
:
:General
:=================================
:UUID: a52009f1-d4f3-476f-ac10-feb7dea90149
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5200.12
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5300  @ 2.60GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2600
:System Memory: 3954
:System Swap: 6015
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:4163:33145) pci, None, PCI/ISA, P5KPL-VM Motherboard
:(4332:33078:4163:33607) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10202:4163:33145) pci, i801_smbus, SERIAL, P5KPL-VM Motherboard
:(32902:10176:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:10192:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4163:33663) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(4318:3044:6860:12755) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(32902:9294:4163:33145) pci, None, PCI/PCI, 82801 PCI Bridge
:(4318:3235:6860:12755) pci, nvidia, VIDEO, GT215 [GeForce GT 240]
:(32902:10185:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10184:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10688:4163:33456) pci, None, HOST/PCI, P5KPL-VM Motherboard
:(32902:10186:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10187:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10188:4163:33145) pci, ehci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10689:4163:33456) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fedora-lv_root / ext4 4096 4096 59301645 5625705 2656925 14843904 14183420 14183420
:/dev/sdd1 WITHHELD ext4 4096 4096 243931001 14485535 2276035 61054976 60764189 60764189
:/dev/sdb1 WITHHELD ext4 4096 4096 487879867 10646419 5762636 122101760 121874523 121874523
:/dev/sda2 /boot ext4 1024 1024 508644 404919 379319 128016 127754 127754
:/dev/sdc1 WITHHELD ext4 4096 4096 121957788 19006624 17785664 30531584 30337958 30337958
:

var_log_messages:
:Aug  5 00:41:47 fedora kernel: [946446.473038] cheese[23450]: segfault at 0 ip           (null) sp 00007ffffea7de48 error 14 in cheese[400000+21000]
:Aug  5 00:41:48 fedora abrt[23457]: Saved core dump of pid 23450 (/usr/bin/cheese) to /var/spool/abrt/ccpp-2012-08-05-00:41:47-23450 (92106752 bytes)

xsession_errors:
:** (cheese:23652): WARNING **: cheese-window.vala:1624: Error: No device found
:abrt-applet: repeated problem in cheese-3.4.2-3.fc17, not showing the notification
Comment 1 Louis van Dyk 2012-08-04 20:58:25 EDT
Created attachment 602302 [details]
File: backtrace
Comment 2 Louis van Dyk 2012-08-04 20:58:28 EDT
Created attachment 602303 [details]
File: maps
Comment 3 Louis van Dyk 2012-08-04 20:58:31 EDT
Created attachment 602304 [details]
File: dso_list
Comment 4 Hans de Goede 2012-08-05 05:13:25 EDT
Looking at the backtrace this appears to be a bug in cogl, changing component.
Comment 5 Louis van Dyk 2012-08-15 18:12:03 EDT
I opened the "Check Windows Media Player" button on zenossevents.webex.com.  The black player window opened, but nothing played.  The totem-mozplugin crashed.

backtrace_rating: 4
Package: totem-mozplugin-3.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Louis van Dyk 2012-08-15 18:45:17 EDT
(In reply to comment #5)

Please ignore comment #5.  ABRT opened the wrong issue for me to update, it seems!
Comment 7 Louis van Dyk 2012-08-15 19:25:42 EDT
I opened the "Check Windows Media Player" button on zenossevents.webex.com. I also tried with the "Check Quicktime Player" button.  The black player window opened, but nothing played.  The totem-mozplugin
crashed.


backtrace_rating: 4
Package: totem-mozplugin-3.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Hans de Goede 2012-08-16 05:10:11 EDT
(In reply to comment #6)
> (In reply to comment #5)
> 
> Please ignore comment #5.  ABRT opened the wrong issue for me to update, it
> seems!

Maybe not, the cheese crash is in libcogl, totem uses libcogl too, so it could be both are affected by the same bug in cogl.
Comment 9 Wendell Baker 2012-09-15 20:27:22 EDT
plug in the DVD
Select Play in Totem
wait while the DVD spins up
see the crash


backtrace_rating: 4
Package: totem-3.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 mcandido12 2012-10-21 04:26:11 EDT
First I installed the telepathy-rakia package to allow sip accounts in empathy. I added my sip account (a pbxes.org account), and it connected fine. I tried to place a call and got a segfault. Then I tried calling myself, when went through (though it said it was a video call and it wasn't), but when I answered it segfaulted in the same manner. That's the one this dump is made from.

backtrace_rating: 4
Package: empathy-3.4.2.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Yajo 2012-11-04 17:09:51 EST
Video calling a friend.

backtrace_rating: 4
Package: empathy-3.4.2.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Peque 2012-11-23 08:02:59 EST
Tried to reproduce a .mpg video.

backtrace_rating: 4
Package: totem-3.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Fedora End Of Life 2013-07-03 22:28:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 04:26:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.